![SRMD](assets/Soft_Robotics_Materials_Database_Logo_univ.svg)


### Purpose

This repository aims to offer the mechanical characteristics of a wide range of elastomers for soft robotics
applications and thus to aid material selection. Relying on the ASTM D412 testing standards we followed a rigorous protocol to characterize elastomers through tensile testing.

**Authors:** This repository is maintained by [Luc Marechal (Associate Professor at USMB - SYMME)](https://www.linkedin.com/in/lucmarechal) and [Lukas Lindenroth (Research Fellow at UCL - WEISS)](https://www.linkedin.com/in/lukas-lindenroth-18770512a/) <br />

[![GitHub contributors](https://img.shields.io/github/contributors/LucMarechal/Soft-Robotics-Materials-Database)](https://github.com/LucMarechal/Soft-Robotics-Materials-Database/graphs/contributors)
[![GitHub tag (latest by date)](https://img.shields.io/github/v/tag/LucMarechal/Soft-Robotics-Materials-Database)](https://img.shields.io/github/v/tag/LucMarechal/Soft-Robotics-Materials-Database)
[![GitHub repo size](https://img.shields.io/github/repo-size/LucMarechal/Soft-Robotics-Materials-Database)](https://img.shields.io/github/repo-size/LucMarechal/Soft-Robotics-Materials-Database)
[![License: ODbL](https://img.shields.io/badge/License-ODbL-brightgreen.svg)](https://opendatacommons.org/licenses/odbl/)

### License

This Soft Robotics Materials Database is an Open Source database made available under the Open Database License: http://opendatacommons.org/licenses/odbl/1.0/. Any rights in individual contents of the database are licensed under the Database Contents License: http://opendatacommons.org/licenses/dbcl/1.0/



### The Soft Robotics Database App

In addition to visualising raw experimental data, the app allows you to fit a range of constitutive models and extract the respective model parameters for your own soft robotics applications in the **Constitutive Models** section. Detailed information on the test setup used to acquire the experimental data is provided within the app and on the respective [Wiki page](https://github.com/LucMarechal/Soft-Robotics-Materials-Database/wiki/Setup-and-Characterisation). The **Materials Comparison** tab lets you to easily visualise and compare all tested materials to select the right silicone rubber for your soft robot projects.


### Citing

To cite the **Soft Robotics Materials Database** in your academic research, please use the following bibtex entry:

```tex
@article{Marechal2020,
author = {Marechal, Luc and Balland, Pascale and Lindenroth, Lukas and Petrou, Fotis and Kontovounisios, Christos and Bello, Fernando},
title = {Towards a Common Framework and Database of Materials for Soft Robotics},
journal = {Soft Robotics},
volume = {0},
number = {0},
pages = {null},
year = {2020},
doi = {10.1089/soro.2019.0115},
}
```
